## keytouch-editor 2.1.0

=== Makefile ===
TARGET = keytouch-editor
SOURCES =	main.c \
		config.c \
		device.c \
		string_to_keycode/string_to_keycode.c \
		acpi_socket.c \
		ud_socket.c

prefix = /usr/local
bindir = ${prefix}/bin
DESTDIR =

CFLAGS=-I. -Istring_to_keycode -O2 -Wall
LINKFLAGS=
CC=gcc

OBJECTS=$(SOURCES:.c=.o)

all: $(TARGET)

cc:
	$(MAKE) CC=cc \
		all

$(TARGET): $(OBJECTS) mxml/libmxml.a
	$(CC) $(LINKFLAGS) -o  $@ $(OBJECTS) mxml/libmxml.a

mxml/libmxml.a:
	cd mxml && $(MAKE);

install: $(TARGET)
	cp $(TARGET) $(DESTDIR)$(bindir)

clean:
	$(RM) $(TARGET) $(OBJECTS)
	cd mxml && $(MAKE) clean;

=== mxml/Makefile ===
TARGET_LIB = libmxml.so
TARGET_LIBA = $(TARGET_LIB:.so=.a)
SOURCES =	error.c \
		parse.c \
		memory.c \
		content.c \
		document.c \
		element.c \
		write.c

SHAREDOPT = -shared 
CFLAGS=-I. -O2 -Wall -g -fpic
CC=gcc
EXTRA_LIBS =

OBJECTS=$(SOURCES:.c=.o)

all: $(TARGET_LIB)

$(TARGET_LIBA): $(OBJECTS)
	$(AR) rc $(TARGET_LIBA) $(OBJECTS)

$(TARGET_LIB): $(TARGET_LIBA)
	$(CC) $(SHAREDOPT) -o $(TARGET_LIB) $(OBJECTS) $(EXTRA_LIBS)

cc:
	$(MAKE) CC=cc all

clean:
	$(RM) $(TARGET_LIB) $(TARGET_LIBA) $(OBJECTS)

## keytouch-editor 2.10.99+2.1.0

=== Makefile ===
--- 
+++ 
@@ -34,4 +34,3 @@
 clean:
 	$(RM) $(TARGET) $(OBJECTS)
 	cd mxml && $(MAKE) clean;
-

## keytouch-editor 3.2.0~beta

=== debian/changelog ===
keytouch-editor (1:3.2.0~beta-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:51 +0000

keytouch-editor (1:3.2.0~beta-3) unstable; urgency=low

  * Conversion from dpatch to quilt
   - Remove build-dep on dpatch
   - Change .make's included in debian/rules
  * Switch to dpkg-source 3.0 (quilt) format
   - Drop quilt build-dep
   - Remove debian/README.source
  * Update source repo (SVN -> HG)
  * Bump standards-version: 3.8.3.
   - Add debian/README.source
  * Cleanup an old NEWS.Debian entry

 -- Luke Cycon <lcycon@gmail.com>  Sat, 27 Feb 2010 15:34:39 -0800

keytouch-editor (1:3.2.0~beta-2) unstable; urgency=low

  * Added "DM-Upload-Allowed: yes" to debian/control
  * Bump standards-version. No changes.

 -- Luke Cycon <lcycon@gmail.com>  Fri, 19 Feb 2010 16:07:30 -0800

keytouch-editor (1:3.2.0~beta-1) unstable; urgency=low

  * New upstream release
   - Fixed issue where Amarok plugin was saved as XMMS (Closes: #536191)

 -- Luke Cycon <lcycon@gmail.com>  Thu, 09 Jul 2009 10:40:07 -0700

keytouch-editor (1:3.1.3-3) unstable; urgency=low

  [Luke Cycon]
  * Added -D_GNU_SOURCE to cflags (Closes: #521955)
  * New maintainer (Closes: #520144)
  
  [Luis Rodrigo Gallardo Cruz]
  * Remove call to deprecated and useless dh_desktop.

 -- Luke Cycon <lcycon@gmail.com>  Sun, 17 May 2009 10:20:25 -0700

keytouch-editor (1:3.1.3-2) unstable; urgency=low

  * Vcs-* fields no longer need XS- prefix.
  * Add Homepage field and remove from Description.
  * Update maintainer address.
  * Add -Wl,--as-needed to LDFLAGS, to avoid linking the binary to unneeded 
    DSOs.
  * Do not pass --build to configure unless we're crosscompiling.
  * Reorder dependencies on patching rules, to avoid possible races when
    parallel compiling.
  * Cosmetic reformatting of debian/rules comments.
  * Giuseppe Borzi is not active as maintainer for this package,
    thus I remove him from the Uploaders field. Thanks for all the initial
    packaging job, Guiseppe.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>  Sat, 08 Dec 2007 14:11:37 -0600

keytouch-editor (1:3.1.3-1) unstable; urgency=low

  * New upstream release.
   - Remove patches/30_create_get_scancode_dialog_implicitly_converted_to_pointer.dpatch
     It's been integrated upstream.
  * Improve package description.
  * menu is just a Recommends: not a Depends:
  * Comply with new menu policy.
  * .desktop file conforms to freedesktop.org standard.
  * Remove unneeded lintian overrides.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Mon, 24 Sep 2007 20:16:12 -0500

keytouch-editor (1:3.1.1-2) unstable; urgency=low

  * Add ommited #include in get_scancode. 
    Patch from dann frazier <dannf@debian.org> (Closes: #427604).
  * Explicitely depend on the linux kernel headers, since we 
    #include <linux/input.h>.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Fri, 08 Jun 2007 16:38:21 -0500

keytouch-editor (1:3.1.1-1) unstable; urgency=low

  * New upstream release.
   - New autoconf based build system.
   - keytouch-editor is now a gtk app.
  * Use config.{guess,sub} from autotools-dev.
  * Upload to collab-maint's subversion repo, and add X-SCM headers.
  * Save and restore files that configure or upstream's clean mangle with,
  to make sure clean works correctly (Closes: #424453).

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Fri, 25 May 2007 18:24:29 -0500

keytouch-editor (1:2.1.0-2) unstable; urgency=low

  * Fix Homepage URL.

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Thu, 26 Oct 2006 11:32:39 -0500

keytouch-editor (1:2.1.0-1) unstable; urgency=low

  * Initial upload to Debian (closes: #384545).

 -- Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>  Fri,  8 Sep 2006 22:28:12 -0500

keytouch-editor (1:2.1.0-0ubuntu1) edgy; urgency=low

  * Initial release

 -- Giuseppe Borzi <gborzi@ieee.org>  Thu, 17 Aug 2006 23:25:49 +0200

keytouch-editor (2.10.99+2.1.0-beta-0ubuntu1) dapper; urgency=low

  * Initial release

 -- Giuseppe Borzi <gborzi@ieee.org>  Sat, 18 Feb 2006 02:39:59 +0100

=== debian/control ===
Source: keytouch-editor
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luke Cycon <lcycon@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.0), libgtk2.0-dev, autotools-dev, imagemagick, linux-libc-dev
Standards-Version: 3.8.4
Vcs-Hg: http://hg.debian.org/hg/collab-maint/keytouch-editor/debian
Vcs-Browser: http://hg.debian.org/hg/collab-maint/keytouch-editor/debian
Homepage: http://keytouch.sourceforge.net/

Package: keytouch-editor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: menu
Description: create keyboard files for keytouch
 KeyTouch Editor should be used to create configuration files for KeyTouch, 
 a program to configure extra function keys in multimedia keyboards, in
 case your keyboard is not yet supported.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    SYSTEM = --build $(DEB_HOST_GNU_TYPE)
else
    SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CONFFLAGS = $(SYSTEM) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --libdir=\$${prefix}/lib

CFLAGS = -Wall -g -D_GNU_SOURCE
LDFLAGS += -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp

configure-stamp: 
	dh_testdir

# Some distributed files shouldn't be, and are modified or removed
# by configure or upstream's clean. We save copies now, to restore
# them, else some patches won't work, the clean target will be dirty,
# mayhem ensues ...
	-find . \( -name config.h \
		-o -name Makefile.in \) \
	  -execdir cp \{} \{}.debian-orig \; -fprint dist-files	

# Use recent config.* files
	rm -f config.sub && ln -sf /usr/share/misc/config.sub .
	rm -f config.guess && ln -sf /usr/share/misc/config.guess .

	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure $(CONFFLAGS)

	touch configure-stamp

build: build-stamp

build-stamp: configure
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	if [ -f Makefile ]; then \
	  $(MAKE) distclean; \
	fi

# Get saved files back
	if [ -e dist-files ] ; then \
	  for f in `cat dist-files`; do mv $$f.debian-orig $$f; done; \
	  rm dist-files; \
	fi

	dh_clean config.log config.guess config.sub
#	$(MAKE) -f debian/rules unpatch

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) install prefix=/usr bindir=/usr/sbin DESTDIR=$(CURDIR)/debian/keytouch-editor
	cd debian/keytouch-editor/usr/share/keytouch-editor/pixmaps && convert icon.png icon.xpm
# We don't want the wrapper script
	cd debian/keytouch-editor/usr/sbin && mv keytouch-editor-bin keytouch-editor

binary-indep: build install
# We have nothing to do by default.

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs debian/NEWS.Debian
	dh_installexamples
	dh_installmenu
	dh_install
	dh_installman debian/keytouch-editor.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# The version mangle is to make sure betas sort before the release they're 
# betas for.
opts="uversionmangle=s/-(beta.*)$/~$1/ " \
 http://sf.net/keytouch/keytouch-editor-(.*)\.tar\.gz
